searchNodes=[{"ref":"MatrixOperation.html","title":"MatrixOperation","type":"module","doc":"Documentation for Matrix operation library."},{"ref":"MatrixOperation.html#add/2","title":"MatrixOperation.add/2","type":"function","doc":"Matrix addition Examples iex&gt; MatrixOperation.add([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [3, 2, 2]]) [[5, 5, 4], [5, 3, 4]]"},{"ref":"MatrixOperation.html#atan/1","title":"MatrixOperation.atan/1","type":"function","doc":""},{"ref":"MatrixOperation.html#atan_sub/3","title":"MatrixOperation.atan_sub/3","type":"function","doc":""},{"ref":"MatrixOperation.html#const_addition/2","title":"MatrixOperation.const_addition/2","type":"function","doc":"A matrix is added by a constant. Examples iex&gt; MatrixOperation.const_addition(1, [1.0, 2.0, 3.0]) [2.0, 3.0, 4.0]"},{"ref":"MatrixOperation.html#const_multiple/2","title":"MatrixOperation.const_multiple/2","type":"function","doc":"A matrix is multiplied by a constant. Examples iex&gt; MatrixOperation.const_multiple(-1, [1.0, 2.0, 3.0]) [-1.0, -2.0, -3.0] iex&gt; MatrixOperation.const_multiple(2, [[1, 2, 3], [2, 2, 2], [3, 8, 9]]) [[2, 4, 6], [4, 4, 4], [6, 16, 18]]"},{"ref":"MatrixOperation.html#cramer/3","title":"MatrixOperation.cramer/3","type":"function","doc":"Cramer&#39;s rule Examples iex&gt; MatrixOperation.cramer([[1, 0, 0], [0, 1, 0], [0, 0, 1]], [[1], [0], [0]], 1) 1.0 iex&gt; MatrixOperation.cramer([[0, -2, 1], [-1, 1, -4], [3, 3, 1]], [[3], [-7], [4]], 1) 2.0"},{"ref":"MatrixOperation.html#csqrt/2","title":"MatrixOperation.csqrt/2","type":"function","doc":""},{"ref":"MatrixOperation.html#cubic_formula/4","title":"MatrixOperation.cubic_formula/4","type":"function","doc":""},{"ref":"MatrixOperation.html#cubic_formula_sub/1","title":"MatrixOperation.cubic_formula_sub/1","type":"function","doc":""},{"ref":"MatrixOperation.html#delete_one_column/2","title":"MatrixOperation.delete_one_column/2","type":"function","doc":"A column of a matrix is deleted. Examples iex&gt; MatrixOperation.delete_one_column([[1, 2, 3], [4, 5, 6], [7, 8, 9]], 2) [[1, 3], [4, 6], [7, 9]]"},{"ref":"MatrixOperation.html#delete_one_row/2","title":"MatrixOperation.delete_one_row/2","type":"function","doc":"A row of a matrix is deleted. Examples iex&gt; MatrixOperation.delete_one_row([[1, 2, 3], [4, 5, 6], [7, 8, 9]], 3) [[1, 2, 3], [4, 5, 6]]"},{"ref":"MatrixOperation.html#determinant/1","title":"MatrixOperation.determinant/1","type":"function","doc":"A determinant of a n×n square matrix is got. Examples iex&gt; MatrixOperation.determinant([[1, 2, 1], [2, 1, 0], [1, 1, 2]]) -5 iex&gt; MatrixOperation.determinant([[1, 2, 1, 1], [2, 1, 0, 1], [1, 1, 2, 1], [1, 2, 3, 4]]) -13 iex&gt; MatrixOperation.determinant([ [3,1,1,2,1], [5,1,3,4,1], [2,0,1,0,1], [1,3,2,1,1], [1,1,1,1,1] ]) -14"},{"ref":"MatrixOperation.html#diagonalization/1","title":"MatrixOperation.diagonalization/1","type":"function","doc":"Matrix diagonalization [R^2×R^2/R^3×R^3 matrix] Examples iex&gt; MatrixOperation.diagonalization([[1, 3], [4, 2]]) [[5.0, 0], [0, -2.0]] iex&gt; MatrixOperation.diagonalization([[2, 1, -1], [1, 1, 0], [-1, 0, 1]]) [[3.0000000027003626, 0, 0], [0, 0, 0], [0, 0, 0.9999999918989121]]"},{"ref":"MatrixOperation.html#eigenvalue/1","title":"MatrixOperation.eigenvalue/1","type":"function","doc":"eigenvalue [R^2×R^2/R^3×R^3 matrix] Examples iex&gt; MatrixOperation.eigenvalue([[3, 1], [2, 2]]) [4.0, 1.0] iex&gt; MatrixOperation.eigenvalue([[6, -3], [4, -1]]) [3.0, 2.0] iex&gt; MatrixOperation.eigenvalue([[1, 1, 1], [1, 2, 1], [1, 2, 3]]) [4.561552806429505, 0.43844714673139706, 1.0000000468390973] iex&gt; MatrixOperation.eigenvalue([[2, 1, -1], [1, 1, 0], [-1, 0, 1]]) [3.0000000027003626, 0, 0.9999999918989121]"},{"ref":"MatrixOperation.html#even_matrix/3","title":"MatrixOperation.even_matrix/3","type":"function","doc":"A m×n matrix having even-elements is got. Examples iex&gt; MatrixOperation.even_matrix(2, 3, 0) [[0, 0, 0], [0, 0, 0]] iex&gt; MatrixOperation.even_matrix(3, 2, 1) [[1, 1], [1, 1], [1, 1]]"},{"ref":"MatrixOperation.html#exchange_one_column/3","title":"MatrixOperation.exchange_one_column/3","type":"function","doc":"A row of a matrix is exchanged. Examples iex&gt; MatrixOperation.exchange_one_column([[1, 2, 3], [4, 5, 6], [7, 8, 9]], 2, [1, 1, 1]) [[1, 1, 3], [4, 1, 6], [7, 1, 9]]"},{"ref":"MatrixOperation.html#exchange_one_row/3","title":"MatrixOperation.exchange_one_row/3","type":"function","doc":"A row of a matrix is exchanged. Examples iex&gt; MatrixOperation.exchange_one_row([[1, 2, 3], [4, 5, 6], [7, 8, 9]], 3, [1, 1, 1]) [[1, 2, 3], [4, 5, 6], [1, 1, 1]]"},{"ref":"MatrixOperation.html#frobenius_norm/1","title":"MatrixOperation.frobenius_norm/1","type":"function","doc":"Frobenius norm Examples iex&gt; MatrixOperation.frobenius_norm([[2, 3], [1, 4], [2, 1]]) 5.916079783099616 iex&gt; MatrixOperation.frobenius_norm([[1, 3, 3], [2, 4, 1], [2, 3, 2]]) 7.54983443527075"},{"ref":"MatrixOperation.html#get_one_column/2","title":"MatrixOperation.get_one_column/2","type":"function","doc":"A column of a matrix is got. Examples iex&gt; MatrixOperation.get_one_column([[1, 2, 3], [4, 5, 6], [7, 8, 9] ], 1) [1, 4, 7]"},{"ref":"MatrixOperation.html#get_one_element/2","title":"MatrixOperation.get_one_element/2","type":"function","doc":"A element of a matrix is got. Examples iex&gt; MatrixOperation.get_one_element([[1, 2, 3], [4, 5, 6], [7, 8, 9] ], [1, 1]) 1"},{"ref":"MatrixOperation.html#get_one_row/2","title":"MatrixOperation.get_one_row/2","type":"function","doc":"A row of a matrix is got. Examples iex&gt; MatrixOperation.get_one_row([[1, 2, 3], [4, 5, 6], [7, 8, 9] ], 1) [1, 2, 3]"},{"ref":"MatrixOperation.html#hadamard_division/2","title":"MatrixOperation.hadamard_division/2","type":"function","doc":"Hadamard division Examples iex&gt; MatrixOperation.hadamard_division([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [3, 2, 2]]) [[1.5, 0.6666666666666666, 3.0], [0.6666666666666666, 0.5, 1.0]]"},{"ref":"MatrixOperation.html#hadamard_power/2","title":"MatrixOperation.hadamard_power/2","type":"function","doc":"Hadamard power Examples iex&gt; MatrixOperation.hadamard_power([[3, 2, 3], [2, 1, 2]], 2) [[9.0, 4.0, 9.0], [4.0, 1.0, 4.0]]"},{"ref":"MatrixOperation.html#hadamard_product/2","title":"MatrixOperation.hadamard_product/2","type":"function","doc":"Hadamard product Examples iex&gt; MatrixOperation.hadamard_product([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [3, 2, 2]]) [[6, 6, 3], [6, 2, 4]]"},{"ref":"MatrixOperation.html#inverse_matrix/1","title":"MatrixOperation.inverse_matrix/1","type":"function","doc":"Inverse Matrix Examples iex&gt; MatrixOperation.inverse_matrix([[1, 1, -1], [-2, -1, 1], [-1, -2, 1]]) [[-1.0, -1.0, 0.0], [-1.0, 0.0, -1.0], [-3.0, -1.0, -1.0]]"},{"ref":"MatrixOperation.html#jacobi/2","title":"MatrixOperation.jacobi/2","type":"function","doc":"Singular Value Decomposition (SVD) Examples iex&gt; MatrixOperation.jacobi([[10, 3, 2], [3, 5, 1], [2, 1, 0]], 100) [ [11.827601654846498, 3.5956497715829547, -0.4232514264294592], [ [0.8892852869407288, -0.4276185412198255, -0.16221609548924776], [0.4179455612966035, 0.903858138554591, -0.0914438251665857], [0.18572341323379965, 0.013522151221627799, 0.982509015329186] ] ]"},{"ref":"MatrixOperation.html#jordan_normal_form/1","title":"MatrixOperation.jordan_normal_form/1","type":"function","doc":"Jordan_normal_form [R^2×R^2/R^3×R^3 matrix] Examples iex&gt; MatrixOperation.jordan_normal_form([[1, 3], [4, 2]]) [[5.0, 0], [0, -2.0]] iex&gt; MatrixOperation.jordan_normal_form([[7, 2], [-2, 3]]) [[5.0, 1], [0, 5.0]] iex&gt; MatrixOperation.jordan_normal_form([[2, 1, -1], [1, 1, 0], [-1, 0, 1]]) [[3.0000000027003626, 0, 0], [0, 0, 0], [0, 0, 0.9999999918989121]] iex&gt; MatrixOperation.jordan_normal_form([[1, -1, 1], [0, 2, -2], [1, 1, 3]]) [[2.0, 1, 0], [0, 2.0, 1], [0, 0, 2.0]] iex&gt; MatrixOperation.jordan_normal_form([[3, 0, 1], [-1, 2, -1], [-1, 0, 1]]) [[2.0, 1, 0], [0, 2.0, 0], [0, 0, 2.0]] iex&gt; MatrixOperation.jordan_normal_form([[1, 0, -1], [0, 2, 0], [0, 1, 1]]) [[2.0, 0, 0], [0, 0.9999999999999999, 1], [0, 0, 0.9999999999999999]] iex&gt; MatrixOperation.jordan_normal_form([[6, 2, 3], [-3, 0, -2], [-4, -2, -1]]) [[1.0, 0, 0], [0, 2.0, 1], [0, 0, 2.0]]"},{"ref":"MatrixOperation.html#leading_principal_minor/2","title":"MatrixOperation.leading_principal_minor/2","type":"function","doc":"Leading principal minors are generetaed Examples iex&gt; MatrixOperation.leading_principal_minor([[1, 3, 2], [2, 5, 1], [3, 4, 5]], 2) [[1, 3], [2, 5]]"},{"ref":"MatrixOperation.html#linear_equations_cramer/2","title":"MatrixOperation.linear_equations_cramer/2","type":"function","doc":"Linear equations are solved by Cramer&#39;s rule. Examples iex&gt; MatrixOperation.linear_equations_cramer([[1, 0, 0], [0, 1, 0], [0, 0, 1]], [[1], [0], [0]]) [1.0, 0.0, 0.0] iex&gt; MatrixOperation.linear_equations_cramer([[1, 0, 0], [0, 1, 0], [0, 0, 1]], [[1], [0], [0]]) [1.0, 0.0, 0.0]"},{"ref":"MatrixOperation.html#linear_equations_direct/2","title":"MatrixOperation.linear_equations_direct/2","type":"function","doc":"Linear equations are solved by LU decomposition. Examples iex&gt; MatrixOperation.linear_equations_direct([[1, 0, 0], [0, 1, 0], [0, 0, 1]], [[1], [0], [0]]) [1.0, 0.0, 0.0] iex&gt; MatrixOperation.linear_equations_direct([[4, 1, 1], [1, 3, 1], [2, 1, 5]], [[9], [10], [19]]) [1.0, 2.0, 3.0]"},{"ref":"MatrixOperation.html#lu_decomposition/1","title":"MatrixOperation.lu_decomposition/1","type":"function","doc":"LU decomposition Examples iex&gt; MatrixOperation.lu_decomposition([[1, 1, 0, 3], [2, 1, -1, 1], [3, -1, -1, 2], [-1, 2, 3, -1]]) [ [[1, 0, 0, 0], [2.0, 1, 0, 0], [3.0, 4.0, 1, 0], [-1.0, -3.0, 0.0, 1]], [[1, 1, 0, 3], [0, -1.0, -1.0, -5.0], [0, 0, 3.0, 13.0], [0, 0, 0, -13.0]] ]"},{"ref":"MatrixOperation.html#max_norm/1","title":"MatrixOperation.max_norm/1","type":"function","doc":"max norm Examples iex&gt; MatrixOperation.max_norm([[2, 3], [1, 4], [2, 1]]) 8 iex&gt; MatrixOperation.max_norm([[1, 3, 3], [2, 4, 1], [2, 3, 2]]) 10"},{"ref":"MatrixOperation.html#one_norm/1","title":"MatrixOperation.one_norm/1","type":"function","doc":"one norm Examples iex&gt; MatrixOperation.one_norm([[2, 3], [1, 4], [2, 1]]) 5 iex&gt; MatrixOperation.one_norm([[1, 3, 3], [2, 4, 1], [2, 3, 2]]) 7"},{"ref":"MatrixOperation.html#power_iteration/2","title":"MatrixOperation.power_iteration/2","type":"function","doc":"Power iteration method (maximum eigen value and eigen vector) Examples iex&gt; MatrixOperation.power_iteration([[3, 1], [2, 2]], 100) [ 4.0, [2.8284271247461903, 2.8284271247461903] ] iex&gt; MatrixOperation.power_iteration([[1, 1, 2], [0, 2, -1], [0, 0, 3]], 100) [ 3.0, [1.0, -2.0, 2.0] ]"},{"ref":"MatrixOperation.html#product/2","title":"MatrixOperation.product/2","type":"function","doc":"Matrix product Examples iex&gt; MatrixOperation.product([[3, 2, 3], [2, 1, 2]], [[2, 3], [2, 1], [3, 5]]) [[19, 26], [12, 17]]"},{"ref":"MatrixOperation.html#row_column_matrix/1","title":"MatrixOperation.row_column_matrix/1","type":"function","doc":"Numbers of row and column of a matrix are got. Examples iex&gt; MatrixOperation.row_column_matrix([[3, 2, 3], [2, 1, 2]]) [2, 3]"},{"ref":"MatrixOperation.html#singular_value/1","title":"MatrixOperation.singular_value/1","type":"function","doc":"Singular value [R^2×R^n(R^n×R^2)/R^3×R^n(R^n×R^3) matrix] Examples iex&gt; MatrixOperation.singular_value([[1, 0, 0], [0, 1, 1]]) [1.4142135623730951, 1.0] iex&gt; MatrixOperation.singular_value([[0, 1], [1, 0], [1, 0]]) [1.4142135623730951, 1.0] iex&gt; MatrixOperation.singular_value([[2, 2, 2, 2], [1, -1, 1, -1], [-1, 1, -1, 1]]) [4.0, 0.0, 2.8284271247461903]"},{"ref":"MatrixOperation.html#singular_value_sub/2","title":"MatrixOperation.singular_value_sub/2","type":"function","doc":""},{"ref":"MatrixOperation.html#subtract/2","title":"MatrixOperation.subtract/2","type":"function","doc":"Matrix subtraction Examples iex&gt; MatrixOperation.subtract([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [3, 2, 2]]) [[1, -1, 2], [-1, -1, 0]]"},{"ref":"MatrixOperation.html#svd/2","title":"MatrixOperation.svd/2","type":"function","doc":"Singular Value Decomposition (SVD) Examples iex&gt; MatrixOperation.svd([[1, 0, 0], [0, 1, 1]], 100) [ [1.0, 1.4142135623730951], [[1.0, 0], [0, 1.0]], [ [1.0, 0, 0], [0, 0.7071067458364744, -0.707106816536619], [0, 0.707106816536619, 0.7071067458364744] ] ]"},{"ref":"MatrixOperation.html#svd_sub/3","title":"MatrixOperation.svd_sub/3","type":"function","doc":""},{"ref":"MatrixOperation.html#tensor_product/2","title":"MatrixOperation.tensor_product/2","type":"function","doc":"Tensor product Examples iex&gt; MatrixOperation.tensor_product([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [2, 1, 2], [3, 5, 3]]) [ [ [[6, 9, 3], [6, 3, 6], [9, 15, 9]], [[4, 6, 2], [4, 2, 4], [6, 10, 6]], [[6, 9, 3], [6, 3, 6], [9, 15, 9]] ], [ [[4, 6, 2], [4, 2, 4], [6, 10, 6]], [[2, 3, 1], [2, 1, 2], [3, 5, 3]], [[4, 6, 2], [4, 2, 4], [6, 10, 6]] ] ]"},{"ref":"MatrixOperation.html#trace/1","title":"MatrixOperation.trace/1","type":"function","doc":"Trace of a matrix Examples iex&gt; MatrixOperation.trace([[1.0, 2.0], [3.0, 4.0]]) 5.0"},{"ref":"MatrixOperation.html#transpose/1","title":"MatrixOperation.transpose/1","type":"function","doc":"Transpose of a matrix Examples iex&gt; MatrixOperation.transpose([[1.0, 2.0], [3.0, 4.0]]) [[1.0, 3.0], [2.0, 4.0]]"},{"ref":"MatrixOperation.html#two_norm/1","title":"MatrixOperation.two_norm/1","type":"function","doc":"two norm Examples iex&gt; MatrixOperation.two_norm([[2, 3], [1, 4], [2, 1]]) 5.674983803488142 iex&gt; MatrixOperation.two_norm([[1, 3, 3], [2, 4, 1], [2, 3, 2]]) 7.329546645915766"},{"ref":"MatrixOperation.html#unit_matrix/1","title":"MatrixOperation.unit_matrix/1","type":"function","doc":"A n-th unit matrix is got. Examples iex&gt; MatrixOperation.unit_matrix(3) [[1, 0, 0], [0, 1, 0], [0, 0, 1]]"},{"ref":"MatrixOperation.html#variance_covariance_matrix/1","title":"MatrixOperation.variance_covariance_matrix/1","type":"function","doc":"A variance-covariance matrix is generated Examples iex&gt; MatrixOperation.variance_covariance_matrix([[40, 80], [80, 90], [90, 100]]) [ [466.66666666666663, 166.66666666666666], [166.66666666666666, 66.66666666666666] ]"}]